import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    protected bk(): Series;
    protected get_fp(): boolean;
    protected jn(): number;
    constructor();
    protected get_fx(): boolean;
    xf: NumericXAxis;
    xh: NumericYAxis;
    zj: string;
    protected get xm(): IFastItemColumn$1<number>;
    protected set xm(a: IFastItemColumn$1<number>);
    private xl;
    zf: string;
    zn: string;
    zh: string;
    zp: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    ku(a: any, b: string): any;
    mi(a: string): string;
    zr: string;
    protected get xo(): IFastItemColumn$1<number>;
    protected set xo(a: IFastItemColumn$1<number>);
    private xn;
    xw: boolean;
    xv: boolean;
    yr: number;
    yq: number;
    aap: Color;
    aao: Color;
    y3: number;
    private z6;
    protected rg(a: any, b: string, c: any, d: any): void;
    private z0;
    xu(a: any): boolean;
    xt(a: any): boolean;
    private zw;
    private yx;
    private xq;
    private yc;
    private yb;
    private ya;
    private x9;
    private x8;
    private x7;
    private x6;
    private x5;
    private get yg();
    private get yf();
    private get ye();
    private get yd();
    private xd;
    private xi;
    private xj;
    private xe;
    private xg;
    private xs;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    private yy;
    get y4(): number;
    set y4(a: number);
    rz(a: boolean): void;
    private xp;
    private zy;
    private y0;
    private yu;
    private yt;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private zv;
    private z1;
    private zz;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private zt;
    private zx;
    private xx;
    private z8;
    private x3;
    private x2;
    private x4;
    private yj;
    private yh;
    private yi;
    private yk;
    private ym;
    private yo;
    private yn;
    private yl;
    private xz;
    private x0;
    private x1;
    private xy;
    private z3;
    ge(a: any): boolean;
    private z5;
    private y1;
    private y2;
    private yp;
    private z4;
    private z2;
    private yw;
    private yv;
    private xa;
    private yz;
    private zu;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    protected xc: HighDensityScatterSeriesView;
    ay(a: Axis): AxisRange;
    private xr;
    protected sy(a: Rect, b: Rect): void;
    protected sz(a: Rect, b: Rect): void;
    private _itemIndexes;
    private xb;
    private w8;
    kr(a: Point): any;
    private y5;
    z7(a: number[], b: number, c: number): void;
    protected get_g8(): boolean;
    protected set_g8(a: boolean): void;
    pb(a: boolean, b: SeriesView): void;
    r0(a: Rect, b: RenderSurface): void;
    private xk;
    rx(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    o8(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    a4(): void;
    cq(): void;
    protected cf: HighDensityScatterSeries;
    private cd;
    private cl;
    private ck;
    private ci;
    private cj;
    private cg;
    cm(): void;
    ce(): number[];
    cp(): void;
    co(a: () => void): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ch(a: Color, b: Color): boolean;
    cn(): void;
    ax(a: any): void;
}
